summaryrefslogtreecommitdiffstats
path: root/source/n/alpine
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/n/alpine
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/n/alpine')
-rwxr-xr-xsource/n/alpine/alpine.SlackBuild195
-rw-r--r--source/n/alpine/alpine.config.h.diff15
-rw-r--r--source/n/alpine/alpine.manpage.diff17
-rw-r--r--source/n/alpine/alpine.tech-notes.txt.diff136
-rw-r--r--source/n/alpine/doinst.sh.alpine18
-rw-r--r--source/n/alpine/pinepgp-0.18.0-makefile-sed-fix.diff87
-rw-r--r--source/n/alpine/pinepgp.pinegpgp.in.diff7
-rw-r--r--source/n/alpine/slack-desc.alpine19
-rw-r--r--source/n/alpine/slack-desc.imapd19
9 files changed, 513 insertions, 0 deletions
diff --git a/source/n/alpine/alpine.SlackBuild b/source/n/alpine/alpine.SlackBuild
new file mode 100755
index 000000000..6ed64d10d
--- /dev/null
+++ b/source/n/alpine/alpine.SlackBuild
@@ -0,0 +1,195 @@
+#!/bin/sh
+
+# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=alpine
+VERSION=${VERSION:-2.00}
+ARCH=${ARCH:-x86_64}
+ALPINEBUILD=${ALPINEBUILD:-2}
+IMAPDBUILD=${IMAPDBUILD:-2}
+PINEPGP=${PINEPGP:-0.18.0}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $PKG/etc
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
+cd ${PKGNAM}-$VERSION
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/alpine.manpage.diff.gz | patch -p1 --verbose || exit 1
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --with-ssl-dir=/usr \
+ --with-ssl-certs-dir=/etc/ssl/certs \
+ --with-c-client-target=slx \
+ --with-system-pinerc=/etc/pine.conf \
+ --with-system-fixed-pinerc=/etc/pine.conf.fixed \
+ --disable-debug \
+ --with-debug-level=0 \
+ --without-tcl \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
+
+# This seems to ignore sysconfdir and libdir, so it's pretty useless to try them.
+# Brute-force it.
+# Eric says: no! Use configure parameters.
+#zcat $CWD/alpine.config.h.diff.gz | patch -p1 --verbose || exit 1
+
+# Correct paths and programs in tech-notes.txt:
+zcat $CWD/alpine.tech-notes.txt.diff.gz | patch -p1 --verbose || exit 1
+
+# Build and install:
+# Since we build non-compliant to RFC3501 we have to answer 'y' half-way:
+echo y | make $NUMJOBS EXTRACFLAGS="-fPIC" SSLTYPE=unix
+echo y | make $NUMJOBS EXTRACFLAGS="-fPIC" SSLTYPE=unix
+echo y | make $NUMJOBS EXTRACFLAGS="-fPIC" SSLTYPE=unix
+echo y | make $NUMJOBS EXTRACFLAGS="-fPIC" SSLTYPE=unix
+echo y | make $NUMJOBS EXTRACFLAGS="-fPIC" SSLTYPE=unix
+echo y | make $NUMJOBS EXTRACFLAGS="-fPIC" SSLTYPE=unix || exit 1
+
+make install SSLTYPE=unix DESTDIR=$PKG || exit 1
+
+# Add default config file:
+./alpine/alpine -conf > $PKG/etc/pine.conf.new
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ LICENSE NOTICE README* VERSION \
+ doc/tech-notes.txt doc/brochure.txt doc/mailcap.unx doc/mime.types \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+gzip -9 $PKG/usr/doc/${PKGNAM}-$VERSION/tech-notes.txt
+
+# Add pinepgp support:
+cd $TMP
+rm -rf pinepgp-$PINEPGP
+tar xvf $CWD/pinepgp-$PINEPGP.tar.gz || exit 1
+cd pinepgp-$PINEPGP
+zcat $CWD/pinepgp-${PINEPGP}-makefile-sed-fix.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/pinepgp.pinegpgp.in.diff.gz | patch -p1 --verbose || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+./configure --prefix=/usr
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+mkdir -p $PKG/usr/doc/pinepgp-$PINEPGP
+cp -a COPYING* README $PKG/usr/doc/pinepgp-$PINEPGP
+chmod 644 $PKG/usr/doc/pinepgp-$PINEPGP/*
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.*
+ )
+ done
+ )
+fi
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh.alpine > $PKG/install/doinst.sh
+cat $CWD/slack-desc.alpine > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$ALPINEBUILD.txz
+
+# As is customary, now build a package for the included IMAP and
+# POP3 daemons:
+PKG2=/tmp/package-imapd
+cd $TMP
+rm -rf $PKG2
+mkdir -p $PKG2
+cd ${PKGNAM}-$VERSION/imap
+mkdir -p $PKG2/usr/doc/imapd-$VERSION
+cp -a \
+ CONTENTS LICENSE.txt NOTICE SUPPORT \
+ imap/docs/md5.txt \
+ $PKG2/usr/doc/imapd-$VERSION
+cat << EOF > $PKG2/usr/doc/imapd-$VERSION/additional-imap-documentation
+Additional documentation for imapd may be found in the alpine
+sources in the /imap/docs directory.
+EOF
+mkdir -p $PKG2/usr/man/man8
+for file in src/imapd/imapd.8 src/ipopd/ipopd.8 ; do
+ cat $file | gzip -9c > $PKG2/usr/man/man8/`basename $file`.gz
+done
+mkdir -p $PKG2/usr/sbin
+cat imapd/imapd > $PKG2/usr/sbin/imapd
+cat ipopd/ipop3d > $PKG2/usr/sbin/ipop3d
+chmod 755 $PKG2/usr/sbin/imapd $PKG2/usr/sbin/ipop3d
+# Strip binaries:
+find $PKG2 | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Add slack-desc file:
+mkdir -p $PKG2/install
+cat $CWD/slack-desc.imapd > $PKG2/install/slack-desc
+cd $PKG2
+/sbin/makepkg -l y -c n $TMP/imapd-$VERSION-$ARCH-$IMAPDBUILD.txz
+
diff --git a/source/n/alpine/alpine.config.h.diff b/source/n/alpine/alpine.config.h.diff
new file mode 100644
index 000000000..03064373e
--- /dev/null
+++ b/source/n/alpine/alpine.config.h.diff
@@ -0,0 +1,15 @@
+--- ./include/config.h.orig 2008-08-06 20:59:51.000000000 -0500
++++ ./include/config.h 2008-08-06 21:00:37.000000000 -0500
+@@ -557,10 +557,10 @@
+ #define STDC_HEADERS 1
+
+ /* System pinerc */
+-#define SYSTEM_PINERC "/usr/lib/pine.conf"
++#define SYSTEM_PINERC "/etc/pine.conf"
+
+ /* System fixed pinerc */
+-#define SYSTEM_PINERC_FIXED "/usr/lib/pine.conf.fixed"
++#define SYSTEM_PINERC_FIXED "/etc/pine.conf.fixed"
+
+ /* Pine-Centric Host Specifier */
+ #define SYSTYPE "LNX"
diff --git a/source/n/alpine/alpine.manpage.diff b/source/n/alpine/alpine.manpage.diff
new file mode 100644
index 000000000..c35b95e18
--- /dev/null
+++ b/source/n/alpine/alpine.manpage.diff
@@ -0,0 +1,17 @@
+--- ./doc/alpine.1.orig 2008-03-14 18:53:39.000000000 -0500
++++ ./doc/alpine.1 2008-08-06 20:00:13.000000000 -0500
+@@ -305,11 +305,11 @@
+ .br
+ /etc/mime.types System-wide file ext. to MIME type mapping
+ .br
+-/usr/local/lib/pine.info Local pointer to system administrator.
++/etc/pine.info Local pointer to system administrator.
+ .br
+-/usr/local/lib/pine.conf System-wide configuration file.
++/etc/pine.conf System-wide configuration file.
+ .br
+-/usr/local/lib/pine.conf.fixed Non-overridable configuration file.
++/etc/pine.conf.fixed Non-overridable configuration file.
+ .br
+ /tmp/.\\usr\\spool\\mail\\xxxx Per-folder mailbox lock files.
+ .br
diff --git a/source/n/alpine/alpine.tech-notes.txt.diff b/source/n/alpine/alpine.tech-notes.txt.diff
new file mode 100644
index 000000000..3af68e921
--- /dev/null
+++ b/source/n/alpine/alpine.tech-notes.txt.diff
@@ -0,0 +1,136 @@
+--- ./doc/tech-notes.txt.orig 2008-03-17 17:26:52.000000000 -0500
++++ ./doc/tech-notes.txt 2008-08-06 21:16:06.000000000 -0500
+@@ -271,14 +271,14 @@
+ The selection of which MTA to use depends on the settings of smtp-server,
+ sendmail-path, and compile-time options. The first MTA specified in the
+ following list is used:
+- 1. _sendmail-path_ in /usr/local/lib/pine.conf.fixed
+- 2. _smtp-server_ in /usr/local/pine.conf.fixed
++ 1. _sendmail-path_ in /etc/pine.conf.fixed
++ 2. _smtp-server_ in /etc/pine.conf.fixed
+ 3. _sendmail-path_ specified on the command line.
+ 4. _smtp-server_ specified on the command line.
+ 5. _sendmail-path_ in the user's .pinerc file.
+ 6. _smtp-server_ in the user's .pinerc file.
+- 7. _sendmail-path_ in /usr/local/lib/pine.conf
+- 8. _smtp-server_ in /usr/local/pine.conf
++ 7. _sendmail-path_ in /etc/pine.conf
++ 8. _smtp-server_ in /etc/pine.conf
+ 9. DF_SENDMAIL_PATH defined at compile time.
+ 10. SENDMAIL and SENDMAILFLAGS defined at compile time.
+
+@@ -600,8 +600,8 @@
+ into _Alpine_ so there are no _required_ auxiliary files. Instead of copying
+ the binaries manually, you may use make install to install them.
+
+- There are three optional auxiliary files: /usr/local/lib/pine.info,
+- /usr/local/lib/pine.conf, and /usr/local/lib/pine.conf.fixed. The file
++ There are three optional auxiliary files: /usr/pine.info,
++ /etc/pine.conf, and /etc/pine.conf.fixed. The file
+ pine.info contains text on how to get further help on the local system. It
+ is part of the help text for the main menu and should probably refer to the
+ local help desk or the system administrator. If this file doesn't exist a
+@@ -674,11 +674,11 @@
+ This section lists the various files which _Alpine_ uses which are not email
+ folders. All of these are the default names of files, they may vary based on
+ _Alpine_'s configuration.
+- /usr/local/lib/pine.conf
++ /etc/pine.conf
+ Pine's global configuration file.
+- /usr/local/lib/pine.conf.fixed
++ /etc/pine.conf.fixed
+ Non-overridable global configuration file.
+- /usr/local/lib/pine.info
++ /etc/pine.info
+ Local pointer to system administrator.
+ ~/.pinerc
+ Personal configuration file for each user.
+@@ -872,10 +872,10 @@
+ Configuration: Prints a sample system configuration file to the
+ screen or standard output. To generate an initial system
+ configuration file, execute
+- alpine -conf > /usr/local/lib/pine.conf
++ alpine -conf > /etc/pine.conf
+ To generate a system configuration file using settings from an old
+ system configuration file, execute
+- alpine -P old-pine.conf -conf > /usr/local/lib/pine.conf
++ alpine -P old-pine.conf -conf > /etc/pine.conf
+ A system configuration file is not required.
+ -convert_sigs _-p pinerc_
+ Convert signatures contained in signature files into literal
+@@ -973,7 +973,7 @@
+ Pinerc may be either a local file or a remote configuration folder.
+ -P _pinerc_
+ Uses the named file as the system wide configuration file instead of
+- _/usr/local/lib/pine.conf_ on UNIX, or nothing on _PC-Alpine_. Pinerc
++ _/etc/pine.conf_ on UNIX, or nothing on _PC-Alpine_. Pinerc
+ may be either a local file or a remote configuration folder.
+ -passfile _passfile_
+ This tells _Alpine_ what file should be used as the password file.
+@@ -1180,8 +1180,8 @@
+ configuration. In most cases, the compiled-in preferences will suit users
+ and administrators just fine. When running _Alpine_ on a UNIX system, the
+ default built-in configuration can be changed by setting variables in the
+- system configuration files, /usr/local/lib/pine.conf or
+- /usr/local/lib/pine.conf.fixed. (Actually, these files can be changed using
++ system configuration files, /etc/pine.conf or
++ /etc/pine.conf.fixed. (Actually, these files can be changed using
+ the configure arguments --with-system-pinerc=VALUE or
+ --with-system-fixed-pinerc=VALUE.) The location of the pine.conf file can be
+ changed with the -P command line argument. Both _Alpine_ and _PC-Alpine_
+@@ -3538,7 +3538,7 @@
+ For Unix _Alpine_ the program _ispell_ works well as an alternate
+ spell checker. If your Unix system has _ispell_ it is probably
+ reasonable to make it the default speller by configuring it as the
+- default in the system configuration file, /usr/local/lib/pine.conf.
++ default in the system configuration file, /etc/pine.conf.
+ If this option is not set, then the system's _spell_ command is used.
+ The spell command does not work the same as the alternate speller. It
+ produces a list of misspelled words on its standard output, instead,
+@@ -3932,12 +3932,12 @@
+ must exist as a full path or a path relative to your home directory).
+ Now for an example:
+
+- url-viewers=_TEST("test -n '${DISPLAY}'")_ /usr/local/bin/netscape,
+- /usr/local/bin/lynx, C:\BIN\NETSCAPE.BAT
++ url-viewers=_TEST("test -n '${DISPLAY}'")_ /usr/bin/firefox,
++ /usr/bin/lynx, C:\BIN\NETSCAPE.BAT
+ This example shows that for the first browser in the list to be used
+ the environment variable DISPLAY must be defined. If it is, then the
+- file /usr/local/bin/netscape must exist. If either condition is not
+- met, then the file /usr/local/bin/lynx must exist. If it doesn't,
++ file /usr/bin/firefox must exist. If either condition is not
++ met, then the file /usr/bin/lynx must exist. If it doesn't,
+ then the final path and file must exist. Note that the last entry is
+ a DOS/Windows path. This is one way to support _Alpine_ running on
+ more than one architecture with the same configuration file.
+@@ -10273,9 +10273,9 @@
+ 4. a command line argument
+ 5. the system-wide _fixed_ configuration file (Unix _Alpine_ only)
+
+- The fixed configuration file is normally /usr/local/lib/pine.conf.fixed.
++ The fixed configuration file is normally /etc/pine.conf.fixed.
+
+- The system-wide configuration file is normally /usr/local/lib/pine.conf for
++ The system-wide configuration file is normally /etc/pine.conf for
+ Unix _Alpine_ and is normally not set for _PC-Alpine_. For _PC-Alpine_, if
+ the environment variable _$PINECONF_ is set, that is used for the
+ system-wide configuration. This location can be set or changed on the
+@@ -10524,7 +10524,7 @@
+ * A program that implements the SMTP or ESMTP protocol via stdio.
+ * An entry in /etc/services for the alternate service.
+ * An entry in /etc/inetd.conf for the alternate service.
+- * An entry in /usr/local/lib/pine.conf, /usr/local/lib/pine.conf.fixed or
++ * An entry in /etc/pine.conf, /etc/pine.conf.fixed or
+ ~/.pinerc.
+ _________________________________________________________________
+
+@@ -11366,7 +11366,7 @@
+
+ The second selection is the standard UNIX print command. The default is
+ _lpr_, but it can be changed on a system basis to anything so desired in
+- /usr/local/lib/pine.conf.
++ /etc/pine.conf.
+
+ The third selection is the user's personal choice for a UNIX print command.
+ The text to be printed is piped into the command. _Enscript_ or _lpr_ with
diff --git a/source/n/alpine/doinst.sh.alpine b/source/n/alpine/doinst.sh.alpine
new file mode 100644
index 000000000..3a3694854
--- /dev/null
+++ b/source/n/alpine/doinst.sh.alpine
@@ -0,0 +1,18 @@
+#!/bin/sh
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+config etc/pine.conf.new
+
+# Prevent sticker shock
+if [ ! -e /usr/bin/pine ]; then
+ ( cd usr/bin ; ln -sf alpine pine )
+fi
diff --git a/source/n/alpine/pinepgp-0.18.0-makefile-sed-fix.diff b/source/n/alpine/pinepgp-0.18.0-makefile-sed-fix.diff
new file mode 100644
index 000000000..fe9f8d55a
--- /dev/null
+++ b/source/n/alpine/pinepgp-0.18.0-makefile-sed-fix.diff
@@ -0,0 +1,87 @@
+diff -Naur pinepgp-0.18.0-orig/Makefile.in pinepgp-0.18.0/Makefile.in
+--- pinepgp-0.18.0-orig/Makefile.in 2002-05-03 15:30:07.000000000 +0200
++++ pinepgp-0.18.0/Makefile.in 2006-11-16 00:30:27.000000000 +0100
+@@ -44,52 +44,52 @@
+ all: $(SOURCES) $(BUILD_FILTERS)
+
+ $(SOURCES): $(SOURCES:%=%.in)
+- $(CAT) $(@).in | $(SED) -e 's%\@SED\@%$(SED)%;\
+- s%\@CAT\@%$(CAT)%;\
+- s%\@RM\@%$(RM)%;\
+- s%\@MKTEMP\@%$(MKTEMP)%;\
+- s%\@BASH\@%$(BASH)%;\
+- s%\@bindir\@%$(bindir)%;\
+- s%\@tmpdir\@%$(tmpdir)%' > $(@)
++ $(CAT) $(@).in | $(SED) -e 's%\@SED\@%$(SED)%'\
++ -e 's%\@CAT\@%$(CAT)%'\
++ -e 's%\@RM\@%$(RM)%'\
++ -e 's%\@MKTEMP\@%$(MKTEMP)%'\
++ -e 's%\@BASH\@%$(BASH)%'\
++ -e 's%\@bindir\@%$(bindir)%'\
++ -e 's%\@tmpdir\@%$(tmpdir)%' > $(@)
+ chmod 755 $(@)
+
+ pinegpg: pinegpgp
+- $(CAT) pinegpgp | $(SED) -e 's%^cename=.*%cename=GnuPG%;\
+- s%^ces=.*%ces="$(GPG) -at -s"%;\
+- s%^cee=.*%cee="$(GPG) -at -e"%;\
+- s%^cese=.*%cese="$(GPG) -at -se"%;\
+- s%^cec=.*%cec="\$(GPG)"%;\
+- s%^cefp=.*%cefp=gpg%' > $(@).c
++ $(CAT) pinegpgp | $(SED) -e 's%^cename=.*%cename=GnuPG%'\
++ -e 's%^ces=.*%ces="$(GPG) -at -s"%'\
++ -e 's%^cee=.*%cee="$(GPG) -at -e"%'\
++ -e 's%^cese=.*%cese="$(GPG) -at -se"%'\
++ -e 's%^cec=.*%cec="\$(GPG)"%'\
++ -e 's%^cefp=.*%cefp=gpg%' > $(@).c
+ $(CPP) -DGPG $(BUILD_FLAGS) $(@).c | $(GREP) -v "^# .* .*" > $(@)
+ chmod 755 $(@)
+
+ pinepgp26x: pinegpgp
+- $(CAT) pinegpgp | $(SED) -e 's%^cename=.*%cename="PGP 2.6.x"%;\
+- s%^ces=.*%ces="\$(PGP) -fat -s"%;\
+- s%^cee=.*%cee="\$(PGP) -fat -e"%;\
+- s%^cese=.*%cese="\$(PGP) -fat -se"%;\
+- s%^cec=.*%cec="\$(PGP) -f"%;\
+- s%^cefp=.*%cefp=pgp26x%' > $(@).c
++ $(CAT) pinegpgp | $(SED) -e 's%^cename=.*%cename="PGP 2.6.x"%'\
++ -e 's%^ces=.*%ces="\$(PGP) -fat -s"%'\
++ -e 's%^cee=.*%cee="\$(PGP) -fat -e"%'\
++ -e 's%^cese=.*%cese="\$(PGP) -fat -se"%'\
++ -e 's%^cec=.*%cec="\$(PGP) -f"%'\
++ -e 's%^cefp=.*%cefp=pgp26x%' > $(@).c
+ $(CPP) -DPGP26X $(BUILD_FLAGS) $(@).c | $(GREP) -v "^# .* .*" > $(@)
+ chmod 755 $(@)
+
+ pinepgp5x: pinegpgp
+- $(CAT) pinegpgp | $(SED) -e 's%^cename=.*%cename="PGP 5.x"%;\
+- s%^ces=.*%ces="$(PGP5S) -fat"%;\
+- s%^cee=.*%cee="$(PGP5E) -fat"%;\
+- s%^cese=.*%cese="$(PGP5E) -fat -s"%;\
+- s%^cec=.*%cec="$(PGP5V) -f"%;\
+- s%^cefp=.*%cefp=pgp26x%' > $(@).c
++ $(CAT) pinegpgp | $(SED) -e 's%^cename=.*%cename="PGP 5.x"%'\
++ -e 's%^ces=.*%ces="$(PGP5S) -fat"%'\
++ -e 's%^cee=.*%cee="$(PGP5E) -fat"%'\
++ -e 's%^cese=.*%cese="$(PGP5E) -fat -s"%'\
++ -e 's%^cec=.*%cec="$(PGP5V) -f"%'\
++ -e 's%^cefp=.*%cefp=pgp26x%' > $(@).c
+ $(CPP) -DPGP5X $(BUILD_FLAGS) $(@).c | $(GREP) -v "^# .* .*" > $(@)
+ chmod 755 $(@)
+
+ pinepgp65x: pinegpgp
+- $(CAT) pinegpgp | $(SED) -e 's%^cename=.*%cename="PGP 6.5.x"%;\
+- s%^ces=.*%ces="\$(PGP6) -fat -s -u $$USER"%;\
+- s%^cee=.*%cee="\$(PGP6) -fat -e -u $$USER"%;\
+- s%^cese=.*%cese="\$(PGP6) -fat -se -u $$USER"%;\
+- s%^cec=.*%cec="\$(PGP6) -f -u $$USER"%;\
+- s%^cefp=.*%cefp=pgp65x%' > $(@).c
++ $(CAT) pinegpgp | $(SED) -e 's%^cename=.*%cename="PGP 6.5.x"%'\
++ -e 's%^ces=.*%ces="\$(PGP6) -fat -s -u $$USER"%'\
++ -e 's%^cee=.*%cee="\$(PGP6) -fat -e -u $$USER"%'\
++ -e 's%^cese=.*%cese="\$(PGP6) -fat -se -u $$USER"%'\
++ -e 's%^cec=.*%cec="\$(PGP6) -f -u $$USER"%'\
++ -e 's%^cefp=.*%cefp=pgp65x%' > $(@).c
+ $(CPP) -DPGP65X $(BUILD_FLAGS) $(@).c | $(GREP) -v "^# .* .*" > $(@)
+ chmod 755 $(@)
+
diff --git a/source/n/alpine/pinepgp.pinegpgp.in.diff b/source/n/alpine/pinepgp.pinegpgp.in.diff
new file mode 100644
index 000000000..4c76113db
--- /dev/null
+++ b/source/n/alpine/pinepgp.pinegpgp.in.diff
@@ -0,0 +1,7 @@
+--- ./pinegpgp.in.orig 2002-05-03 08:30:07.000000000 -0500
++++ ./pinegpgp.in 2008-08-06 21:47:36.000000000 -0500
+@@ -1,4 +1,3 @@
+-#!@BASH@
+
+ tmpdir=@tmpdir@
+
diff --git a/source/n/alpine/slack-desc.alpine b/source/n/alpine/slack-desc.alpine
new file mode 100644
index 000000000..79f962da1
--- /dev/null
+++ b/source/n/alpine/slack-desc.alpine
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+alpine: alpine (Alternatively Licensed Program for Internet News and Email)
+alpine:
+alpine: Alpine is a fast, easy to use email client that is suitable for both
+alpine: the inexperienced email user as well as for the most demanding of
+alpine: power users. Alpine is based on the Pine(R) Message System, which
+alpine: was also developed at the University of Washington. Alpine can be
+alpine: learned by exploration and the use of context-sensitive help. The
+alpine: user experience is highly customizable through the use of the Alpine
+alpine: Setup command.
+alpine:
+alpine: The Alpine site may be found here: http://www.washington.edu/alpine
diff --git a/source/n/alpine/slack-desc.imapd b/source/n/alpine/slack-desc.imapd
new file mode 100644
index 000000000..d52249a24
--- /dev/null
+++ b/source/n/alpine/slack-desc.imapd
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+imapd: imapd (IMAP4rev1 from alpine)
+imapd:
+imapd: /usr/sbin/ipop3d and /usr/sbin/imapd are servers supporting the POP3
+imapd: and IMAP remote mail access protocols. They allow users to download
+imapd: mail from your Linux system for remote viewing.
+imapd:
+imapd:
+imapd:
+imapd:
+imapd:
+imapd: